import request from "@/utils/request";

//分页查询预告警单
export function pageAlarm(data) {
    return request({
        url: "/process-boot/supvAlarm/pageAlarm",
        method: "post",
        data,
    });
}
//实施人员下拉框
export function getUserListByDeptId(data) {
    return request({
        url: '/user-boot/user/getUserListByDeptId',
        method: 'get',
        params:data,

    })
}
//新增预告警单
export function addAlarm(data) {
    return request({
        url: '/process-boot/supvAlarm/addAlarm',
        method: 'post',
        data,

    })
}
//修改预告警单
export function updateAlarm(data) {
    return request({
        url: '/process-boot/supvAlarm/updateAlarm',
        method: 'post',
        data,

    })
}
//删除预告警单
export function delAlarm(data) {
    return request({
        url: '/process-boot/supvAlarm/delAlarm',
        method: 'post',
        data,

    })
}
//分页查询预告警单反馈
export function pageAlarmBack(data) {
    return request({
        url: '/process-boot/supvAlarmBack/pageAlarmBack',
        method: 'post',
        data,

    })
}
//新增预告警单反馈
export function addAlarmBack(data) {
    return request({
        url: '/process-boot/supvAlarmBack/addAlarmBack',
        method: 'post',
        data,

    })
}
//修改预告警单反馈
export function updateAlarmBack(data) {
    return request({
        url: '/process-boot/supvAlarmBack/updateAlarmBack',
        method: 'post',
        data,

    })
}
//删除预告警单反馈
export function delAlarmBack(data) {
    return request({
        url: '/process-boot/supvAlarmBack/delAlarmBack',
        method: 'post',
        data,

    })
}
//推送电能质量技术监督预告警单数据接口
export function pushAlarm(data) {
    return request({
        url: '/process-boot/supv/push/pushAlarm',
        method: 'post',
        data,

    })
}
//导出预告警单信息
export function downAlarm(data) {
    return request({
        url: '/process-boot/supvAlarm/downAlarm',
        method: 'post',
        params:data,
        responseType: 'blob'

    })
}